SageTV Community  

Go Back   SageTV Community > SageTV Development and Customizations > SageTV v9 Customizations > Phoenix 3.0

Notices

Phoenix 3.0 This forum is for discussing the user-created Phoenix 3.0 custom interface for SageTV.

Reply
 
Thread Tools Search this Thread Display Modes
  #21  
Old 07-07-2022, 11:24 AM
phelme's Avatar
phelme phelme is offline
Sage Icon
 
Join Date: Dec 2006
Posts: 1,137
thanks for your sleuthing!

in the meantime, I've discovered that I have a more than a dozen plugins that are out of date. :/

(images attached, I'll save everyone from having to look at them)

some of the updates even include dependencies for JARs that I don't have, like jaxws, which I guess is another web service api. I don't like updating stuff randomly these days because everything is just stable.

so, what I think I'll do is backup (again), update everything that isn't related to phoenix and BMT, see if it all runs and then go from there and try your update.
Attached Images
File Type: jpg Screenshot 2022-07-07 094655 (Small).jpg (87.7 KB, 27 views)
File Type: jpg Screenshot 2022-07-07 094835 (Small).jpg (104.3 KB, 21 views)
File Type: jpg Screenshot 2022-07-07 094902 (Small).jpg (98.3 KB, 22 views)
Reply With Quote
  #22  
Old 07-07-2022, 12:29 PM
KeithAbbott KeithAbbott is offline
Sage Icon
 
Join Date: Oct 2009
Location: Southeastern Michigan
Posts: 1,339
Quote:
Originally Posted by jusjoken View Post
To fix the above MIN version issue I have updated the manifests for bmt and phoenix to force it to use the latest jar versions for these dependencies. This could easily be the issue but we will not know until you try it out again.

The updated plugins have been published so the next time you try you will get the newer dependencies.
I'm not certain if this is a byproduct of the updated manifests or not, but my "Batch Metadata Tools - Web Interface" plugin is showing an "Update Available" message, but when I click on it and go to the sub-menu, there is no "Update Now" button available. There is a button to "View Updated Plugin Details", but no way to initiate the update from that screen either. Am I doing something wrong?
__________________
Server: MSI Z270 SLI Plus ATX Motherboard, Intel i7-7700T CPU, 32GB Memory, Unraid 6.10.3, sagetvopen-sagetv-server-opendct-java11 Docker (version 2.0.6)
Tuners: 2 x SiliconDust HDHomeRun Prime Cable TV Tuners, SiliconDust HDHomeRun CONNECT 4K OTA Tuner
Clients: Multiple HD300 Extenders, Multiple Fire TV Stick 4K Max w/MiniClient
Miscellaneous: Multiple Sony RM-VLZ620 Universal Remote Controls
Reply With Quote
  #23  
Old 07-07-2022, 06:05 PM
phelme's Avatar
phelme phelme is offline
Sage Icon
 
Join Date: Dec 2006
Posts: 1,137
so I went and updated all my old plugins, not related to Phoenix or BMT. All fine. I was going by update date.

Next, I updated to TheTVBD 1.10 (from v1.08), by itself. Now when I restart, I am getting a crash.

Edit: again, cleaning "jetty/work" made no difference.

Do I need both of these JARs, anyone know?

- commons-lang-2.4
- commons-lang3-3.4

(note the slight name difference)

Last edited by phelme; 07-07-2022 at 06:29 PM.
Reply With Quote
  #24  
Old 07-07-2022, 09:37 PM
jusjoken jusjoken is offline
SageTVaholic
 
Join Date: Dec 2005
Location: Strathmore, AB
Posts: 2,623
Quote:
Originally Posted by phelme View Post
so I went and updated all my old plugins, not related to Phoenix or BMT. All fine. I was going by update date.

Next, I updated to TheTVBD 1.10 (from v1.08), by itself. Now when I restart, I am getting a crash.

Edit: again, cleaning "jetty/work" made no difference.

Do I need both of these JARs, anyone know?

- commons-lang-2.4
- commons-lang3-3.4

(note the slight name difference)
Yes...those are separate libraries.

Interesting with that tvdb change. It mostly just adds a library needed under Java 11.. But should also work under Java 8... And I tested both.

I will try to review that plugin tomorrow and see what all changed.

K
__________________
If you wish to see what I am up to and support my efforts visit my Patreon page
Reply With Quote
  #25  
Old 07-07-2022, 09:38 PM
jusjoken jusjoken is offline
SageTVaholic
 
Join Date: Dec 2005
Location: Strathmore, AB
Posts: 2,623
Quote:
Originally Posted by KeithAbbott View Post
I'm not certain if this is a byproduct of the updated manifests or not, but my "Batch Metadata Tools - Web Interface" plugin is showing an "Update Available" message, but when I click on it and go to the sub-menu, there is no "Update Now" button available. There is a button to "View Updated Plugin Details", but no way to initiate the update from that screen either. Am I doing something wrong?
I will check in the morning.. Perhaps I missed something. Is it reporting in the details that its not compatible?
__________________
If you wish to see what I am up to and support my efforts visit my Patreon page
Reply With Quote
  #26  
Old 07-08-2022, 04:52 AM
KeithAbbott KeithAbbott is offline
Sage Icon
 
Join Date: Oct 2009
Location: Southeastern Michigan
Posts: 1,339
Quote:
Originally Posted by jusjoken View Post
I will check in the morning.. Perhaps I missed something. Is it reporting in the details that its not compatible?
See screenshots below. As far as the dependencies, I have the following installed:
  • Phoenix Core Services - 3.4.3 (Enabled)
  • javax-validation-api Library - 1.1.0 (dependency only)
  • Jetty Web Server - 3.0.3.250 (Enabled)
  • SageTV - 9.2.8.1 (64 bit)





Attached Images
File Type: jpg BMT Web-1.jpg (108.2 KB, 117 views)
File Type: jpg BMT Web-2.jpg (117.0 KB, 122 views)
File Type: jpg BMT Web-3.jpg (111.7 KB, 116 views)
__________________
Server: MSI Z270 SLI Plus ATX Motherboard, Intel i7-7700T CPU, 32GB Memory, Unraid 6.10.3, sagetvopen-sagetv-server-opendct-java11 Docker (version 2.0.6)
Tuners: 2 x SiliconDust HDHomeRun Prime Cable TV Tuners, SiliconDust HDHomeRun CONNECT 4K OTA Tuner
Clients: Multiple HD300 Extenders, Multiple Fire TV Stick 4K Max w/MiniClient
Miscellaneous: Multiple Sony RM-VLZ620 Universal Remote Controls
Reply With Quote
  #27  
Old 07-08-2022, 05:30 AM
jusjoken jusjoken is offline
SageTVaholic
 
Join Date: Dec 2005
Location: Strathmore, AB
Posts: 2,623
I was looking for this screen under Updated Plugin Details which shows the reason for the incompatibility. Below from my test system...



I missed updating the phoenix core version on it's manifest so the fix will be uploaded soon.

Thanks for pointing this out.

K
Attached Images
File Type: png BMTUpdateFailed.PNG (290.3 KB, 118 views)
__________________
If you wish to see what I am up to and support my efforts visit my Patreon page
Reply With Quote
  #28  
Old 07-08-2022, 05:37 AM
jusjoken jusjoken is offline
SageTVaholic
 
Join Date: Dec 2005
Location: Strathmore, AB
Posts: 2,623
I just fixed the issue where BMT showed it had an update but did not offer to update. I had missed updating the version number on the phoenix core manifest.

BMT should now update and then force phoenix core and phoenix api etc. to update as well.

Note: the BMT web interface will still show version 4.403.0 where the plugin version is 4.403.1 as nothing in the web site software changed.

I will move on to see if I can figure out phelme's reported issue.

K
__________________
If you wish to see what I am up to and support my efforts visit my Patreon page
Reply With Quote
  #29  
Old 07-08-2022, 06:10 AM
KeithAbbott KeithAbbott is offline
Sage Icon
 
Join Date: Oct 2009
Location: Southeastern Michigan
Posts: 1,339
Quote:
Originally Posted by jusjoken View Post
I just fixed the issue where BMT showed it had an update but did not offer to update. I had missed updating the version number on the phoenix core manifest.

BMT should now update and then force phoenix core and phoenix api etc. to update as well.

Note: the BMT web interface will still show version 4.403.0 where the plugin version is 4.403.1 as nothing in the web site software changed.

I will move on to see if I can figure out phelme's reported issue.

K
Yup, that fixed it. Thanks!
__________________
Server: MSI Z270 SLI Plus ATX Motherboard, Intel i7-7700T CPU, 32GB Memory, Unraid 6.10.3, sagetvopen-sagetv-server-opendct-java11 Docker (version 2.0.6)
Tuners: 2 x SiliconDust HDHomeRun Prime Cable TV Tuners, SiliconDust HDHomeRun CONNECT 4K OTA Tuner
Clients: Multiple HD300 Extenders, Multiple Fire TV Stick 4K Max w/MiniClient
Miscellaneous: Multiple Sony RM-VLZ620 Universal Remote Controls
Reply With Quote
  #30  
Old 07-08-2022, 06:16 AM
jusjoken jusjoken is offline
SageTVaholic
 
Join Date: Dec 2005
Location: Strathmore, AB
Posts: 2,623
Quote:
Originally Posted by phelme View Post
so I went and updated all my old plugins, not related to Phoenix or BMT. All fine. I was going by update date.

Next, I updated to TheTVBD 1.10 (from v1.08), by itself. Now when I restart, I am getting a crash.

Edit: again, cleaning "jetty/work" made no difference.

Do I need both of these JARs, anyone know?

- commons-lang-2.4
- commons-lang3-3.4

(note the slight name difference)
I have not been able to find a repeat of the issue you are seeing on TheTVDB 1.10. When it crashes following the 1.10 update, can you restart Sage and it works or does it still crash ?

K
__________________
If you wish to see what I am up to and support my efforts visit my Patreon page
Reply With Quote
  #31  
Old 07-08-2022, 12:29 PM
phelme's Avatar
phelme phelme is offline
Sage Icon
 
Join Date: Dec 2006
Posts: 1,137
Quote:
Originally Posted by jusjoken View Post
I have not been able to find a repeat of the issue you are seeing on TheTVDB 1.10. When it crashes following the 1.10 update, can you restart Sage and it works or does it still crash ?

K
I'll try again this afternoon after SJQ & MediaShrink are done with a couple shows and I can shutdown the service and backup.

FYI, the reason I went with the TVDB plugin next in sequence (before Phoenix and BMT) is that the date is slightly earlier at 6/22/2022.
Reply With Quote
  #32  
Old 07-08-2022, 08:50 PM
Malfunction Malfunction is offline
Sage Aficionado
 
Join Date: Sep 2004
Location: Willoughby, Ohio
Posts: 396
I don't know if this is related.

I got an alert that says:
Warning - Plugin Missing Installed File

The Plugin "The Movie DB Library is missing the file it installed of C:\blablabla\SageTV\SageTV\JARs\themoviedbapi4.4.jar" Tells me to uninstall it and install it again. Of course, I don't get an uninstall option.
__________________
ASRock B450M Pro4 AM4 MB, Ryzen 5 2600 3.4ghz, Crucial Ballistix Gaming 32GB (2 x 16GB) DDR4-3200, EVGA GT 1030SC, WD Black NVMe SSD 250GB, 1x WD120EFAX 12TB, 1x WD80EFAX 8TB, 1x WDBH2D0040HNC 4TB, USB-UIRT, Colossus 2, WinTV-DualHD USB, Windows 11 64bit
Reply With Quote
  #33  
Old 07-08-2022, 08:58 PM
jusjoken jusjoken is offline
SageTVaholic
 
Join Date: Dec 2005
Location: Strathmore, AB
Posts: 2,623
Quote:
Originally Posted by Malfunction View Post
I don't know if this is related.

I got an alert that says:
Warning - Plugin Missing Installed File

The Plugin "The Movie DB Library is missing the file it installed of C:\blablabla\SageTV\SageTV\JARs\themoviedbapi4.4.jar" Tells me to uninstall it and install it again. Of course, I don't get an uninstall option.
Are you able to post a SageTV log?

What order did you install the plugins?

k
__________________
If you wish to see what I am up to and support my efforts visit my Patreon page
Reply With Quote
  #34  
Old 07-08-2022, 09:14 PM
Malfunction Malfunction is offline
Sage Aficionado
 
Join Date: Sep 2004
Location: Willoughby, Ohio
Posts: 396
I don't know if this is related.

I got an alert that says:
"Warning - Plugin Missing Installed File

The Plugin "The Movie DB Library is missing the file it installed of C:\blablabla\SageTV\SageTV\JARs\themoviedbapi4.4.jar" Tells me to uninstall it and install it again. Of course, I don't get an uninstall option because of dependencies.

Anyway, so I had a look and the file had been renamed to themoviedbapi4.4.jar.355. Apparently this happened during the update on 7/7/2022.
__________________
ASRock B450M Pro4 AM4 MB, Ryzen 5 2600 3.4ghz, Crucial Ballistix Gaming 32GB (2 x 16GB) DDR4-3200, EVGA GT 1030SC, WD Black NVMe SSD 250GB, 1x WD120EFAX 12TB, 1x WD80EFAX 8TB, 1x WDBH2D0040HNC 4TB, USB-UIRT, Colossus 2, WinTV-DualHD USB, Windows 11 64bit
Reply With Quote
  #35  
Old 07-08-2022, 09:15 PM
Malfunction Malfunction is offline
Sage Aficionado
 
Join Date: Sep 2004
Location: Willoughby, Ohio
Posts: 396
Quote:
Originally Posted by jusjoken View Post
Are you able to post a SageTV log?

What order did you install the plugins?

k
In the order they came in
__________________
ASRock B450M Pro4 AM4 MB, Ryzen 5 2600 3.4ghz, Crucial Ballistix Gaming 32GB (2 x 16GB) DDR4-3200, EVGA GT 1030SC, WD Black NVMe SSD 250GB, 1x WD120EFAX 12TB, 1x WD80EFAX 8TB, 1x WDBH2D0040HNC 4TB, USB-UIRT, Colossus 2, WinTV-DualHD USB, Windows 11 64bit
Reply With Quote
Reply


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Phoenix Core Services Failed after update SWKerr Phoenix 8 05-18-2016 03:01 PM
Phoenix Core Services problem sacrament055 Phoenix 15 11-21-2012 10:37 AM
Help with configuring Phoenix Core Services Chriscic SageTV v7 Customizations 2 01-01-2011 12:33 AM
Can't install Phoenix Core Services parkimar SageTV v7 Customizations 5 11-30-2010 12:06 PM
Minor Update to 4.3 (actually phoenix core services) stuckless Batch Metadata Tools 1 07-30-2010 09:00 AM


All times are GMT -6. The time now is 04:04 PM.


Powered by vBulletin® Version 3.8.11
Copyright ©2000 - 2022, vBulletin Solutions Inc.
Copyright 2003-2005 SageTV, LLC. All rights reserved.